Printer's Apprentice - A font manager for Windows.
Version History 

Latest version can always be found on
http://www.loseyourmind.com

Direct download: 
http://www.loseyourmind.com/zipfiles/prnapp75.zip

Purchase Printer's Apprentice via secure web page:
http://www.regsoft.net/purchase.php3?productid=51726

Purchase Printer's Apprentice via phone:
http://www.regsoft.net/purchase.php3?productid=51726&ordertypeid=6

Printer's Apprentice FAQ
http://www.loseyourmind.com/pa75faq.asp

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Printer's Apprentice 7.57 - 09/21/04

- Printer's Apprentice determines what OS you are running on and
  uses an interface based on the OS. Menus, toolbars, icons, etc.
  either use the XP style or the traditional style. You can also 
  change the UI setting via the Options dialog box.

- Added horizontal splitters so the panels on the Uninstalled tab, Both 
  tab and Font Groups sections can be resized. The splitters have "gripper" 
  bars to indicate where resizing is enabled.

- The Options dialog box has been completely redesigned. The dialog box
  is also now resizable. 

- Redesigned the Font Information tab for easier reading. Text is now
  black on a white background.

- The progress dialog box used when reading a folder full of 
  now has a Cancel button.

- When reading folders of font files, additional feedback is provided.

- Great improvements to the printing engine. We ran "torture" tests on
  a variety of commercially available font CDs to make sure Printer's
  Apprentice could print the entire contents of these CDs without error.

- Core routines for reading TTF/OTF files are greatly improved.

- If the Installed Fonts list has the focus, pressing the DEL key 
  now triggers the "Uninstall Fonts" dialog box.

- If the Uninstalled Fonts list or Font Groups list has the focus, 
  pressing the DEL key now triggers the "Uninstall Fonts" dialog box.

- The Notes dialog box is now resizable and has a "gripper" in the lower
  right hand corner.

- Uninstall operations are faster.

- Added an option to turn the font information tooltip on or off.

- Added Support for reading installed TrueType Collection (TTC) fonts, 
  mainly used in Far Eastern versions of Windows. These fonts can 
  also be uninstalled.

- When printing font catalogs, the Print dialog now shows more feedback
  with "Printing font xx of yy" messages.

- There is now a checkbox option for not printing the "Font group and folder 
  titles" when printing from the "Print All Fonts In Path" or "Print Font Groups"
  menus. This new option can be found at the bottom of the Font Catalogs tab of
  the Options dialog box. (Tools > Options).

- Fonts added to the GDI temporarily for rendering (previewing uninstalled
  fonts for example) are now *not* visible in other applications.  
  (Win2000/XP only)

- Updated the default sample paragraphs. The original sample paragraph was
  from the introduction to the Windows 95 User Guide. To me, that seems a bit
  dated. So now the default text is some standard "Lorem Ipsum" text generated
  using the tool at http://www.lipsum.com.

- Fixed a major issue with using the "Uninstall All Fonts In Group" 
  entry on the font group context menu (right click). 
  It was not uninstalling Type 1 fonts.

- Fixed a startup problem. If the root of your Font Groups folder 
  contained any fonts, you would see a "Reading fonts..." popup message 
  flash by very quickly. This has been resolved.

- Fixed some issues with the Registry entry written when installing
  OpenType fonts.

- Fixed issues with the drive labels in the Font Files tab.

- Fixed some nagging bugs with the mousepointer cursor.

- Fixed a bug that could cause the application to crash when switching to
  the Keyboard tab.

- When browsing OpenType fonts via the Font Files tab, a problem prevented
  the font name from being displayed in the font list. This has been fixed.

- Fixed a bug in the Sample Text tab - carriage returns embedded in
  this text are now saved and restored correctly from the PA.INI file the
  next time you start PA.

- Fixed messages on the Uninstall fonts dialog when copying/moving fonts
  to a font group. Regardless of whether you were copying or moving the 
  fonts, the status message always read "xx fonts will be uninstalled."
  This message was incorrect and has been fixed.

- Fixed some bugs in the font file renaming functions. Type 1 and OpenType
  font files can now be renamed.

- Fixed an issue with deleting font groups. If you right clicked on
  a font group whose folder had the "read only" flag set, Printer's Apprentice
  would not delete it. This has been fixed.

- When using the "File|Print All Fonts In Folder" option, fixed an issue
  that mangled font names with special characters in their names, such as TM,
  in the Print dialog box.

- Fixed a problem in the font copy routine that resulted in a 
  "0 fonts copied" message.

- Fixed a problem in the printing engine - if a bold/italic/etc font was
  selected before printing, the regular (non-bold, non-italic) version 
  of the font would not be printed correctly.

- Minor changes to the Help file. (Someday this will get a total overhaul.)


Printer's Aprentice 7.56 - 10/06/03
- Added new tooltip balloon that provides additional information about a
  font file. The tooltip is activated when you hover the mouse over an 
  item in the Installed Fonts list, Uninstalled Fonts list, or the font 
  list below the Font Group listing.

- Fixed a problem with the Font Information tab. If no font was currently 
  selected, it was still displaying data. This is fixed. It is now cleared
  if no font is selected.

- If no font is selected, Printer's Apprentice displays a small, yellow
  message that reads "No font is currently selected." On occasion, this 
  message box would appear not centered on the screen. This has been fixed.

- Fixed a problem with the message box at the end of uninstall operations.
  It now reports the number of fonts uninstalled, copied or moved with
  improved reliability. (Under some circumstances, it would 
  report "0 fonts uninstalled.")

- Updated our mailing address throughout the program and documentation.


Printer's Apprentice 7.55 - 5/12/03
- Better support for word wrapping Font Information tab.

- Fixed a problem where the software would crash on loading if the last
  time you exited the program, you had the Keyboard tab selected.

Printer's Apprentice 7.54 - 1/9/03
- The application now "remembers" which tab was selected the last time
  you ran PA and restores it when you start the application. i.e. If you
  exited the app with the "Character Set" tab selected, it will be
  selected the next time you start PA.

- Fixed a problem where Printer's Apprentice would crash on startup if
  fonts listed in the Windows Registry are not available. For example,
  if a font is listed in the Resgistry as being "x:\fonts\somefont.ttf",
  and X was a CD-ROM and the CD was not in the drive, then PA would
  crash on startup. This has been fixed.

- Other minor bug fixes.

Printer's Apprentice 7.53 - 11/15/02
- Updated the URLs in the paurl.ini file. I have deleted links to sites
  that are no longer active and updated others.

- Added links to the Tools menu for http://www.fontface.com & 
  the FontFace Free Font of the Day.

Printer's Apprentice 7.52 - 10/10/02
- Fixed a bug that caused some fonts to not display correctly on the
  Sample Text tab. It looks like this was mainly on Windows 9x machines
  and not 2000 or XP boxes.

- Help > Frequently Asked Questions menu item now opens the FAQ page
  on our web site.

- Fixed a major problem that caused installed an "ATMLIB.DLL file not found" 
  error if you tried to print a list of fonts that included one 
  or more Type 1 fonts.

Printer's Apprentice 7.5 - 10/8/02
- Public release

Printer's Apprentice 7.50 beta #10 - 10/03/02
- Minor changes to help file and other documentation.

- Additional changes to registration code validation routines.

- Hopefully, last beta before release.


Printer's Apprentice 7.50 beta #9 - 9/30/02
- Fixed some problems with "unknown" fonts. Unknown fonts are those fonts
  that are installed or in memory, but Printer's Apprentice cannot determine
  their associated font type and font file name. Because of this, Printer's
  Apprentice cannot uninstall them.

- If you changed the display options to show only "unknown" fonts and there
  was only one uknown font on your machine, PA would crash with an "index
  out of bounds" error or a GPF when you tried to uninstall the single font.
  The software not catches this and tells the user that it "can't uninstall
  fonts of an unknown type."

- If you tried to uninstall unknown fonts and any number of other fonts,
  the uninstall dialog would show a listbox with blank entries in it along
  with the names of the other TT, T1 and OTF fonts you wanted to uninstall.
  The blank entries issue has been fixed.


Printer's Apprentice 7.50 beta #8 - 9/26/02
- Fixed a problem that, on startup, could cause the application to not
  display any fonts in the installed list.

- Fixed a problem that would cause certain OpenType fonts to
  not uninstall using the File|Uninstall screen. The problem had to do with
  how the Registry entries were being removed.

- Fixed a MAJOR problem where fonts were not being deleted from the
  windows\fonts folder when using the "Delete font files" from the 
  File|Uninstall screen screen.

- Fixed a problem that caused the Uninstall Fonts dialog to report a 
  "This folder does not exist" if you try to uninstall a font to a folder
  that has the "system" attribute set.

- Renamed the "Colors, etc" tab on the Options dialog box to "Interface."

- Add a "Use XP Visual Styles" option to the Interface tab on the Options
  dialog box. This option is disabled if your computer is not running 
  Windows XP.


Printer's Apprentice 7.50 beta #7 - 9/17/02
- Added additional restrictions in the evaluation version. (sorry!)

- Fixed problem that caused the software to often crash when loading (on XP)
  when rereading the installed font list.

- Additional fixes for displaying ATM fonts correctly.


Printer's Apprentice 7.50 beta #6 - 9/6/02
- Fixed a major problem that prevented fonts from displaying correctly.
  This version is better.

- Fixed a GPF that occured when using the Options dialog to select which
  types of fonts you wished to see. Using the "Font Types" checkboxes,
  if you selected OpenType fonts, for example, and you had no OpenType fonts
  installed on your machine, the GPF would occur. However PA would start
  up with no problem after the GPF. This bug has been fixed.
  (thanks to S.A. Brown)

- Fixed a bug that caused installed fonts tagged as "unknown" (with the
  small red question icon) to be displayed when only Type 1 fonts
  were selected to be displayed using the Options dialog.
  (thanks to S.A. Brown)

- Added a checkbox for viewing "Unknown" fonts on the Options dialog.

- Fixed a bug that prevented installed fonts marked as "unknown" to not
  draw correctly in the viewer windows.

- Fixed a problem that caused uninstalled Unicode TrueType fonts to be 
  reported as invalid when viewing them.
	(thanks to LK)

- Fixed a problem that caused Unicode TrueType fonts to not be installed
  correctly. (thanks to LK)

- Additional tweak that will result in fewer fonts being tagged as 
  "unknown" in the installed list.


Printer's Apprentice 7.50 beta #5 - 9/4/02
- The printing engine has been greatly improved and should result in fewer
  pages being printed with "Arial" or a printer default font instead of 
  the desired typeface.

- Added a new catalog style - "Basic Catalog III". It is similar to the
  "Bar Divided Catalog" except it prints a thin line under the font
  information instead of a black bar.

- The "Bar Divided Catalog" now prints the font type, font filename and
  file size based on the settings in the Options dialog.

- Additional changes to make some really oddball fonts display correctly
  when they are selected from the installed list.

- Added hotlinked icons for Visa/MC/Discover/AmEx/PayPal to the 
  opening splash screen.

- Fixed a problem that caused "Bold Italic" to be appended on the name of 
  installed Type 1 fonts on Windows 9x systems.

- Fixed a problem that made installed OpenType fonts show the Type 1 icon
  on Windows 9x systems.

- Fixed a problem that prevented TrueType fonts named "Script" from being displayed
  using the vector Script font that ships with Windows.

- When using the File|Print All Fons In Path command, the software now
  displays the number of fonts it is reading as it enumerates all the files
  in the selected folder and subfolders. Minor, but nice.

- Fixed a problem in the "Type Gauge" font sample sheet that caused it to
  print across two pages on some printers.


Printer's Apprentice 7.50 beta #4 - 8/21/2002
- Printer's Apprentice 7.5 is now compatable with the "Visual Styles" 
  features in Windows XP. This means it will now use the new user interface 
  controls available in XP such as the silver command buttons, radio 
  buttons, checkboxes, etc.

- The Help|Fonts on the Web dialog box now has the white banner across
  the top, making it more consistent with our other dialog boxes.

- A bug that caused Arial, Times New Roman and Courier New variations
  to not display on certain systems. (Who wants to see those boring 
  fonts anyway?! ;)

- Fixed a bug where the font file size on the Font Information tab
  was not being updated while browsing a folder of uninstalled fonts.

- Fixed a bug that could cause the system to GPF when a poorly
  formatted TrueType font was read in on the uninstalled tab.

- If you tried to delete an uninstalled font that was marked as read only,
  the system would still say it was deleted, even thought it was not
  really deleted. This has now been fixed. PA can now delete uninstalled
  fonts that have the readonly attribute.

  The delete function now also removes the associated PFM file if the 
  font is a Type 1 font.

- Printer's Apprentice now displays the "no font currently selected" 
  message if you delete all the fonts in a directory.

- Fixed some issues in the installed font routine that would cause
  two installed fonts with the same name, but different formats and filename,
  to not show up properly in the installed list. For example, carta.ttf and
  carta.pfb.

- Additional changes to support Windows 9x platform machines.

- OpenType fonts installed on a Windows 9x machine via Adobe Type
  Manager are now displayed.

- Changing the "Display ASCII code in grid" option in the Tools|Options
  dialog now correctly toggles the ASCII value on and off on the 
  Character Set tab.

- If you click a folder or font group, the focus now jumps down below
  to the font list so you can use the keyboard to view the uninstalled
  fonts.

- Fixed a problem in the Type 1 routines that would code some Type 1
  font files not show up when reading a folder of uninstalled fonts.

- Fixed a problem where the logging checkbox options where not being
  saved to the INI file when the Install dialog was closed.


Printer's Apprentice 7.50 beta #3 020724
- Fixed a problem where, on some systems, the program would lock up in a 
  loop while reading the font list during startup.

- Lots of under the hood cleanup in relation to enumerating the fonts
  that are installed on a system.

Printer's Apprentice 7.50 beta #2 020723
- Improved detection of Type 1 support and Adobe Type Manager installation.
  For the time being, Type 1 support is only available on the
  Windows NT4, 2000 and XP platforms.

- Features related to launching Adobe Type Manager are now enabled or
  disabled based on whether or not you have ATM installed.

- If you select a folder that does not have any fonts in it, PA now
  displays a little "no font is selected" message instead of the 
  last selected font.

- If you select an invalid font, PA now displays a little "invalid
  font" message instead of the last selected font.

- The "Sample Text" tab now displays font variations more reliably.

- You can now deselect a character in the Character Set grid by 
  clicking on it a second time.

- Fixed an obscure bug on the Uninstalled tab. If you created a folder
  under another folder, then clicked the parent folder, two folders with
  the same name would be added to the folder list.

- Improved the detection of the "printer's apprentice\groups" folder.
  Better wording on the error message displayed if the groups folder
  does not exist.

- Added code so that Help|LYM On the Web|Submit Technical Support Request
  goes to the correct PA 7.5 beta contact form on the web.

- On the Tools|Options, Paragraph Text tab, the text boxes have been 
  expanded to match the width of the window.

- Code in About box now detects Windows Me & Windows 98 SE.

- The ordering information in the help file has been clarified and
  cleaned up a bit. Links to web resources in the help file now work.

- Fixed a problem where some TrueType fonts would display with a blank
  entry in the font name column on the Uninstalled tab.

- The font lists now use a single blue TT icon for TrueType fonts.

- Eliminated duplicate link to readme.txt in the Start menu.

- Fixed a bug where the program would crash if you selected a folder
  while another folder was being scanned for fonts.

Printer's Apprentice 7.50 beta #1 020716

- Added support for viewing and printing installed and uninstalled 
  OpenType (OTF) fonts.

- Added support for viewing and printing installed and uninstalled 
  Adobe Type 1 fonts.

- OpenType and Type 1 fonts can now be installed, uninstalled and managed
  using the font grouping tools in Printer's Apprentice.

- File copy and move operations now work with both OpenType and Type 1 fonts.

- Many operations create log files in the 
  Printer's Apprentice\log folder. Log files are created if the 
  "Create log files" option is selected in the Options dialog box.

- The Font Install and Uninstall dialog boxes are now resizable. This make 
  it easier to view the details about registry changes.

- The Font Install and Uninstall dialog box have options to create and view a 
  log file. The log file outlines all the details of the font install & uninstall
  procedure. If selected,  the Show Log checkbox will open the log when the 
  installation routines are complete. The logs are opened with Notepad or 
  whatever program is associate with .TXT files.

- Many dialog boxes have cleaner, updated user interfaces.

- The Print and Print Font Group dialog boxes are now resizable and show you
  a list of what fonts will be printed.

- Added "System Information" tab to the About dialog box.

- The uninstalled tab now uses Windows 2000 style icons for the folders.

- The system font "Marlett" no longer shows up in the installed font list. This
  is a very important system font and is probably best to hide it until I 
  add more code to prevent the user from inadvertently uninstalling or
  deleting this font.

- The format of the text file created by the "Save Font List As Text File" 
  function has been cleaned up a bit.


Printer's Apprentice 7.22 
- In some cases, the font groups folder in the Options dialog
  is blank after a fresh install. This bug has been fixed.

Printer's Apprentice 7.21 - 2/12/2002
- Fixed some more ATM related code.
- Fixed a bug that caused PA to not detect Windows XP correctly.

Printer's Apprentice 7.20 - 12/31/2001
- Fixed a bug in the Options dialog. If you changed any of the text on the 
  Quotes tab, the new text would not be immediately displayed in the 
  Sample Text drop down list boxes on the Font Catalogs and Sample Sheets
  tabs.

- When you press an alphanumeric key, the Single Character view (in main
  window) will jump to that character. The function now ignores keypresses
  that include the CTRL key.

- This version ships with ShowATM=1 in the PA.INI. This forces Printer's
  Apprentice to show Adobe Type 1 fonts by default.

- Removed code that would disable the "ATM Path" text field and 
  "Show Adobe Type 1 fonts" checkbox if Adobe Type Manager was not installed.
  On some systems, my routines for detecting ATM installtion is not working
  properly.

- On the Options dialog, the Open File dialog box that opens when you click the
  ATM Path "..." button was not properly display only EXE files. This has
  been fixed. The Open File dialog is also now modal.


Printer's Apprentice 7.19 - 11/13/2001
- Fixed detection code for Adobe Type Manager. If ATM is installed,
  it is now correctly detected. (A typo in the previous version, amoung
  other things, prevented the detection from working correctly.)

- Added code to detect if we are running under Windows XP. This is in
  here so future PA versions can take advantage of XP features.


Printer's Apprentice 7.18 - 10/08/2001
- Added code to startup to detect if the PA.INI file is missing. If the
  PA.INI file is missing, the software will now show an alert message
  and the end.

- Added code to prevent sudden freezes, crashes, unloading, etc when resizing
  the font lists on the right side and group list on the left side of the main screen.

- Fixed bugs in the "quotes" feature (sample text strings used on the printed page) 
  that affected both the sample sheets and catalogs. In some cases, when using a quote,
  it would not print or it would print a different quote than what was specified.

- Replaced the generic "header" option for printed sample sheets with 
  left & right footers. This is actually more descriptive of what happens on the 
  printed page. 

- Added additional error checking code in order to prevent the software from
  sometimes freezing on startup.

- All printed catalogs and sample sheets now have a printed watermark 
  if the software is in evaluation mode.

- A new screen now appears when exiting the software when it is in
  evaluation mode.

- Removed the option to Check Components on Startup. The Desaware Version
  Stamper tools are no longer used to check OCX & DLL files, so this checkbox
  on the Options screen should have been removed a long time ago.

- Added improved checking for Adobe Type Manager installation under
  Windows NT 4 and Windows 2000.

- If ATM is not installed, the ATM Path field on the Options screen will display
  an "Adobe Type Manager not installed" message.


Printer's Apprentice 7.17 - 07/09/2001
- Added a Four Column catalog layout

- You can now set the size of the on screen Character Set grid.
  It can by 2x2 cells all the way up to 10x10 cells. Additional
  settings for the grid are also available on the Options dialog.

- In catalogs and sample sheets, you can now use the font name
  itself for the sample text. This has been a requested over
  and over again and I'm pleased to have finally integrated the
  function into the product.

  Note that the Six Up Catalog and Bar Divided catalog do
  not use the user defined sample text - they are hard
  coded to use a long AaBbCcDdEetc string.

- On the font catalogs, if you change the Options to not print
  any of the font details (name, file size, etc), then the line
  spacing adjusts itself automatically. You can now fit over
  300 fonts on the Three Column catalog if you print at 8 points
  and elect *not* to print any of the font details.

- Changes to Three Up catalog:
  The line of 72 point text now uses the selected sample string
  instead of the "AaBbCcXxYyZz" text. This was done for 
  consistence. Also, the Normal, Bold, Italic, BoldItalic
  indicators were broken. These now detect the available styles
  and print accordingly.

  The Three Up catalog now also prints a line of 16 point text
  in each section.

- More code trimming. I eliminated the need for the dwcbk32.ocx
  and dwspy36.dll files. For those who understand API calls, 
  these provided callback capabilities for early versions of VB. 
  VB now provides hooks for native callbacks via the AddressOf 
  operator so the OCX and DLL files are no longer needed.

- Fixed a bug that would make the Sample Text tab sometimes not
  display italic fonts correctly.

- Improved and reorganized screen resizing code.

- Added an option so PA does not verify the paper size before 
  printing. Some print drivers (HP 932c?) do not report the paper
  size correctly back to PA. If your PA.INI has the following 
  entry under the [PA] section, then PA will not check for 
  8.5x11 or A4 paper.
  
  VerifyPaperSize = 0

  Setting the VerifyPaperSize = 1 will enable the strict paper
  size checking and will PA print only on 8.5x11 or A4.

Printer's Apprentice 7.16 - 03/23/2001
- Eliminated the need for comdlg32.ocx. This shaves about 140k off
the installed footprint of the app. However, this lead to one problem.
The File|Printer Setup dialog was generated with assistance from
comdlg32.ocx. I could not get my API based Printer Setup dialog working
reliably. So, for the time being, the File|Printer Setup menu item
has been removed.

The work-around is to simply use the Windows Control Panel to setup
your printer before you use Printer's Apprentice.

In the interest of shipping a leaner (code-wise) product, I think
the removal of the Printer Setup menu item is justified.

- Fixed a flaw in the watermark that prints on pages when the
software is in unregistered mode.

- Fixed a few display buggies in the main window status bar. Sometimes
the status bar would display "1 font selected" even if there were no
fonts displayed.


Printer's Apprentice 7.15 - 3/16/2001
- Previous versions required that a printer be installed in order to
use the software. THis restriction has been removed.

- If you don't have a printer installed, PA gently reminds you of this
fact if you do try to print.


Printer's Apprentice 7.14 - 03/07/2001 
- Added a status bar at the bottom that shows the number of fonts
in a list and the number of fonts selected.

- Other minor cosmetic fixes have been applied. Some 3D effects on the main
window have been removed, the sizer bar between the Installed List
and font window is wider, etc.

- When selected, some menu items were not showing help text
in the status bar (on the main window).

- Trimmed out some unused subroutines and other code bloat.

- Added additional error checking code in the startup routines. Hopefully
this will avoid some of the "Invalid Property" and "Index Out of Bounds"
errors that have been popping up.

- Fixed a problem on the TrueType information tab. The Trademark &
Copyright information was not being displayed correctly. Thanks to 
Rich Kamionek for pointing this out to me.

- If you are running Windows NT/2000, the Adobe toolbar icon is 
now displayed only if you have ATM installed. Windows NT and
2000 have native Type 1 support built in, but the ATM icon was
displaying.

- The Registry (Tools | Font Registry menu) now defaults to being
sorted by font name.

- The "Print All Fonts In Path"/"Print Font Groups" dialog is now 
modal. It also displays the correct number of fonts to be printed. 
(It was off by one.)

- When accessing the Options dialog box from the 
"Print All Fonts In Path" screen, the correct tab is now preselected.

- When accessing the Options dialog box from the 
"Print" dialog, the correct tab is now preselected.

- The Six Up Catalog was not properly printing the font file name
based on the Options "Print Full File Path" setting. This has
been fixed. Thanks to Gary Varner for pointing this out.

- When printing the Six Up Catalog, the progress bar on the
Print dialog was not being updated correctly.


Printer's Apprentice 7.13 - 10/23/2000 
- This version has been rebuilt with Visual Studio Service Pack 4.

- Fixed a problem with multiple select and drag operations in the fonts 
  listboxes on the main screen. It was often difficult to select multiple 
  fonts then drag them to Font Groups or another folder.

- Adobe Type 1 fonts under Windows 2000 are now recognized.

- On the Font Information tab, the software now displays a red Adobe icon
  if a Type 1 font is selected.

- Found and fixed a coding problem that could cause a 'mystery' GPF on startup.

- Added additional code to detect problamatic fonts. A font called
  "Mr. Larry Tate" has no characters in it and caused PA to crash
  when it was read. Thanks to Rich K. for sending me information on this.

- Added additional error checking code on startup.

- Added verification code to detect non-TrueType fonts that may have a 
  .TTF extension.

- Added code to detect if the PAPARA1.TXT and PAPARA2.TXT files have been
  deleted.

- On the Font Information tab, the font vendor text was not being updated
  correctly. This has been fixed.

- Web links within the software have been updated to reflect changes in our
  web site structure.

- Improved code for determining the Windows OS version that 
  is currently running.

- Fixed a problem where the character on the "Single Character" tab would
  not properly center itself when the main window was resized.

- The Keyboard tab colors now reflect the colors set in the Options dialog.

- This version ships with the Component Checker off by default. 

Printer's Apprentice 7.12 - 2/22/2000
- Quick fix to the install program - it was not creating the groups directory
  properly.

- Bug fix - After changing the "Show Full Path" on the Options dialog, the
  installed fonts list now immediatly refreshes to reflect the change.

Printer's Apprentice 7.12 - 2/16/2000
- As you can see, we are always trying to improve the software.
  There are lots of issues addressed with this release.

- New Feature - Added links to our new web-based technical support request and
  Frequently Asked Questions pages on the Web.

- New Feature - Added small ANSI numbers to the character set display
  on the main window.

- New Feature - Added additional fields to the TrueType Information tab. It now
  displays font author, company and description in addition to the
  fields that were already there. Also, data no longer displays
  random question marks.

- New Feature - Added a new Font Information sample sheet. This prints the
  data embedded in a TTF file and displayed on the TrueType
  Information tab.

- New Feature - New in Options dialog box - You can now select the color 
  used to draw text in the viewer window. You can also set
  the background color.

- New Feature - The "Font Registry" dialog, has some new features -
  
  If a Registry entry points to a file that no longer exists,
  the software displays a small red symbol next to the name.

  The Repair button lets you select a TrueType font file to
  associate with a broken Registry link.

  The Delete button removes the invalid Registry entry.

- New Feature - Added toolbar icons for the Font Registry tool and
  Font Properties dialog.

- New Feature - Added sound effects when you click a column header to sort it.

- Enhancement - This version no longer requires the THREED.OCX file. 
  If you have it in your system folder and you know that no other apps 
  use it, you can delete it.

- Enhancement - Added better support for UNC naming conventions. 
  It is now possible to use a Microsoft-style share on a network 
  as the font groups folder. You could setup a share, 
  \\machine\fontgroups for example, and then set the font groups 
  folder to point to that share in the Options dialog. Make sure 
  this share has full read/write access for anyone who will be 
  connecting to it.

- Enhancement - Changed the wording on the splash screen. It originally read
  "Reading xx fonts from your system." It now reads "Reading xx
  font families from your system."

  The original wording was causing confusion. When loading, PA is
  actually reading the font families (i.e. Arial), not individual
  fonts (i.e. Arial Bold).

- Bug Fix - PA would crash if "Arial" was not installed on the system. This
  font was used for the small title bars in the app. This application
  now uses a system API call to determine the font used for small
  palette windows.

- Bug fix: If you used Shift-Click to select multiple installed
  fonts and dragged them to a group, without releasing the shift
  key, the main window would no longer draw the selected font.
  This has been fixed. Thanks to TN for bringing this to our
  attention.

- Bug Fix: On some systems with many, many drives, Printer's Apprentice
  would not recognize the some of the drives.  Thanks to Raymond_SF
  for bringing this to our attention.

- Bug Fix: Added improved refresh code for the drives on the Uninstalled tab.
  When a floppy/cd-rom/zip drive is changed, the list of folders for
  the drive is now refreshed. Thanks to SB for pointing this out.

- Bug Fix - Enlarged the size of the Uninstall dialog box. The original
  size was clipping off some lines of text.

- Bug Fix - Minor speed improvements in paint speed when resizing
  the main window.

- Bug fix - it is now easier to "grab" and resize the window
  containing the installed/uninstalled/both lists.

- Bug fix - if you had the debugging option enabled, then 
  edited the notes for a font group, Printer's Apprentice
  would crash on exit. This has been fixed.

- Bug fix - if you tried to delete an empty font group that
  had notes attached to it, the software would let you know
  the folder was not empty, even though it looked like there
  were no fonts in it. Under the hood, the notes are stored
  in a notes.txt file. I added code to automatically delete 
  the notes file if it exists, then the font group folder will
  be sucessfully deleted.

- Bug fix - sometimes FOT files would not get deleted when
  uninstalling fonts. This has been fixed.

Printer's Apprentice 7.11 - 7/6/99
- Component Checker dialog now has links to online FAQ for help
  with debugging OCX/DLL conflicts. OCX/DLL conflict report also
  has improved step-by-step help for fixing problems.

- Fixed a bug in drag & drop code that produced GPFs. GPFs would
  occur when dragging files to an empty directory or group.

- The ESC key now closes the Font Registry dialog box. The button
  order on this dialog has also changed per standard Windows 
  conventions.

- New PAURL.INI file. This file contains a list of font related
  and Windows shareware links. To access this list, start
  Printer's Apprentice and select "Fonts on the Web" from the
  Help menu.

Printer's Apprentice 7.10 - 6/1/99
- Recompiled with lastest Microsoft DLL/OCX files included in 
  Microsoft Visual Studio Service Pack 3.0. README.TXT file
  was updated with new DLL/OCX version numbers.

- New PAURL.INI file. This file contains a list of font related
  and Windows shareware links. To access this list, start
  Printer's Apprentice and select "Fonts on the Web" from the
  Help menu.


Printer's Apprentice 7.09 - 5/5/99
- ATM 4.0 FOR WINDOWS NT Support!
  Printer's Apprentice now has preliminary support for Postscript Type 1
  font installed with Adobe Type Manager 4.0 for Windows NT. This has
  only been tested with the base fonts that ship with ATM. There may 
  be some Type 1 fonts under NT that Printer's Apprentice has a problem
  with. If you run into problems, please let me know.

  Note that Printer's Apprentice cannot read _uninstalled_ Type 1 fonts
  on either NT or 95/98. Type 1 fonts must be installed with ATM to be
  viewed or printed.

- Fixed a problem with PA sometimes not correctly uninstalling a font when
  the "Delete Font File" option was selected.

- Fixed a problem with FOT files. If a TTF file is installed via a reference
  to an FOT file in the Registry, PA was not always succesful in actually
  uninstalling the font. Often the font file would be moved/copied, but the
  font entry would remain in memory.

- When browsing uninstalled font folders, the arrow indicating sort order
  now displays properly.

- New nifty feature!
  1. Click the "Single Character" tab or "Character Set" tab.
  2. Press keys on the keyboard.
  3. The characters displayed will change as you press the keyboard.

Printer's Apprentice 7.08 - 3/31/99
- Fixed a problem with "Print All Fonts In Path..." and "Print Font Group
  Catalog". These catalogs now sort properly by font name.

Printer's Apprentice 7.07 - 3/25/99
- Fixed problems with sample sheets not following the settings specified
  on the Options dialog.

- PA no longer relies on the DWEASY32.OCX for certain functions. If you
  are certain that no other applications use this file, you can 
  remove it from your windows\system folder.

- The setup program is now smart enough to recognize an existing,
  registered version of the software. If you install PA7 into an
  a directory with an existing registered version, you don't need
  to re-enter your registration code.

Printer's Apprentice 7.06 - 2/28/99
- Fixed an that sometimes prevented fonts being moved correctly from 
  font group to other folders.

- The catalog and sample sheet settings on the Print dialog are now 
  saved when you close the dialog and restored when you open it.

- Fixed a bug that prevented the Two Column catalog from printing
  correctly. It would print one column on the first page and then 
  the second column on the second page. Not good.

- Fixed a bug that prevented the display from updating if you held
  down the shift key while dragging fonts from one folder to another.

Printer's Apprentice 7.05 - 2/8/99
- Fixed an "Error #91 - Object or variable not set" bug that occured when 
  selecting multiple fonts while the Character Set view is displayed.

- Fixed some code that prevented certain installed fonts from being displayed.

- The ANSI Chart and Character Set printouts now obey the Details settings on 
  the Sample Sheets tab of the Options dialog.

- Added an option to suppress page numbers on the font catalogs.

- Fixed an "Error #380 Invalid Property Value" than occured if you tried to
  print a catalog with only one font selected.

- Printer's Apprentice now works with the "Generic / Text Only" printer driver.
  Previous versions resulted in a nasty "Error '35600' index out of bounds"
  crash. Note that you cannot print TrueType or Adobe fonts with the 
  generic text driver.

- Fixed an "Error 9" that popped up if you clicked an installed font while
  the "Reading X fonts from your system" dialog was open.

- Fixed a cosmetic bug on the "Fonts on the Web" dialog box. As you
  moved the mousepointer over the URLs, the URL text would not display
  correctly.


Printer's Apprentice 7.04 - 1/25/99
- New Feature * You can now double click on a font in the installed, 
  uninstalled or font group list and the program associated with TTF files
  will be lauched. Normally this is the fontview.exe program that ships
  with Windows. Thanks to AS for this suggestion.

- Fixed a GPF or "This item's control has been deleted" error that would
  occur if you used the keyboard to traverse the directory in the 
  uninstalled list quickly.

- Fixed a typo in the "Bar Divided Catalog." One of the text strings was
  coming out on the page as "012345656789" with the 5 and 6 repeated. Thanks
  to LM for finding this.

- Fixed a GPF/"Object Variable Not Set" that occured when dragging installed fonts
  to a directory. This typically happened when dragging to the root of a drive.

- Fixed a GPF/"Subscript Out of Bounds" error that could occur when dragging fonts
  from the installed list to a group. This usually happened when dragging to a group
  that is not the currently selected group.


Printer's Apprentice 7.03 - 1/14/99
- Fixed a "Path/File Access" error. This occured if you select an installed
  font that physically resides in font group and dragged it back to the
  same font group.

  This bug also occured when an installed font that physically resides in a
  folder and is dragged from the installed font list to that same folder.

  This nasty little bug could hang the computer, GPF or display the "Path/File
  Access" error dialog. Thanks to SF for pointing this one out.

- Fixed a bug that created many, many zero byte .TMP files in your 
  windows\temp directory. Thanks to SF on this one.

- Fixed a bug that caused some installed fonts to not be displayed.

- When dragging fonts from the installed list to a font group or 
  directory, the selection is no longer set back to the top of the
  installed list. Thanks to SF for this usability idea.

- Fixed a bug where Marlette was always initially selected when the software loaded.

- Fixed a bug that caused a GPF or "Bad File Number" error with logging
  enabled and trying to print all fonts in a particular path. Thanks
  for GM for sending me the info on this one.

- Added an option to display the full path name for fonts in the
  installed fonts list box on the main screen.

Printer's Apprentice 7.02 - 1/9/99
- Fixed the GPF/crash that occured when you opened the Tools|Registry
  window and then closed the Registry dialog.
- Made the "Fonts on the Web" dialog sizable.
- Removed references to the printed Printer's Apprentice manual from
  the About dialog. PA 7.0 does not ship with a manual.
- Corrected the copyright date in the splash screen.

Printer's Apprentice 7.01 - 1/6/99
- Fixed a resizing bug in the main PA form.

Printer's Apprentice 7.0 - 1/4/99
- Fixed a bug that prevented Regular (non italic / non bold) fonts
  from printing correctly.
- Fixed a bug that made drag and drop sometimes not start.
- Fixed a bug that caused fonts in groups not install or display properly
  once installed.

Printer's Apprentice 7.0 - 1/1/99
- Added a new "Fonts on the Web" dialog box that displays an extensive
  list of font related resources on the Internet.

Printer's Apprentice 7.0 BETA #14- 12/15/98
- Finally fixed overflow bug on startup with some systems.
- Updated all our documentation with information about our
  new online order system. Check it out at the following URL:

Printer's Apprentice 7.0 BETA #13- 12/10/98
- Perhaps we have the startup overflow bug fixed with this version.

Printer's Apprentice 7.0 BETA #12- 12/09/98
- More logging. Trying to debug Overflow error on startup.

Printer's Apprentice 7.0 BETA #11- 12/08/98
- More logging. Trying to debug Overflow error on startup.

Printer's Apprentice 7.0 BETA #10- 12/07/98
- Removed some dead code in the project. 
- Added even more logging features to the PA startup code.

Printer's Apprentice 7.0 BETA #9- 12/07/98
- Added additional logging features to the PA startup code.

Printer's Apprentice 7.0 BETA #8- 12/06/98
- Fixed the Three Up Catalog. It was not printing properly and
  the new %UserName and %Date function were not working.
- The Six-Up catalog was not using the %UserName & %Date functions
  correctly.
- Added additional logging features.

Printer's Apprentice 7.0 BETA #7- 12/02/98
- Fixed several problems with the Two Catalog columns. In some
  cases the sample text would not print. Also, the new %Date
  and %UserName codes were not working.

Printer's Apprentice 7.0 BETA #6- 12/01/98
- Added a "Yes To All" button to the File Replace confirmation dialog
  that pops up if a file already exists in a target folder.

- Added "print codes" that can be used for headers and footers
  on the print outs. Right now PA only supports two codes:
  %Date - prints current date
  %UserName - prints the user name (from the Options dialog)

- Added "Print" to several of the right-click, popup menus.

Printer's Apprentice 7.0 BETA #5- 11/19/98
- Font catalogs can now be printed at 8 points. Great for lots of
  fonts on one page. Terrible for reading...

- Added the ability to print all fonts in your font groups. This option
  is located on the File menu. Note, not all catalogs are available for this
  type of report.

- Added the ability to print all fonts in a path. This option is located
  on the file menu. Note, not all catalogs are available for this
  type of report.

- Fixed an 'Undefined Element' error message that popped up after
  accessing the printer setup.

- This version was compiled with Visual Studio 6 and the recently
  released Service Pack 1 from Microsoft. Due to this change, the list
  of DLL/OCX files used by Printer's Apprentice has been updated. The
  list can be found at the end of the readme.txt file.


Printer's Apprentice 7.0 BETA #4- 10/21/98
- Fixed a problem with GradientTitle.OCX. Even though the software
  no longer uses it, our component checking tool was still looking
  for it. This resulted in a dialog box being displayed each time
  the software was launched.

- Eliminated dependencies on the following files:  dwvercls.dll.

- Updated ActiveX / DLL references in the readme.txt file.

- On the suggestion of a beta tester, David Raz, I added the volume
  name to the list of drives in the uninstalled tab. In the interest of
  load time, we only grab the volume name for hard drives.

- When reading a directory with a lot of uninstalled fonts, PA now actually
  displays an hourglass mouse icon.

- Fixed a problem with copying from the uninstalled list to the group
  list. If the source drive in the in the uninstalled list was a
  read only device, the items were still removed from the list box.

- Added a progress dialog box (with flying paper animation!) when copying
  or moving font files.

- Added the name of the currently selected printer to the Printer button
  tooltip. This is a nice addition, requested by Bob Mateer.

- Added option for supressing the file path in catalog printouts.

- Fixed option for displaying or not displaying the font file type on 
  the catalog printouts.


Printer's Apprentice 7.0 BETA #3- 10/05/98
- This version was compiled with Microsoft's Visual Studio 98. Let's
  hope it cleans up some of the mystery GPF's, etc.

- Eliminated dependencies on the following files:

	ccrpani.ocx
	comctl32.ocx
	gradienttitle.ocx
	ctl3d32.dll

  These files may be removed from your system folder if you are
  sure that no other applications use them. (PA 6.54 does use
  them).

- The point size sliders now have a little tag that indicates the
  size over the mouse pointer as the slider is moved.

- Added a Registry tool. This allows you to examine, print and save
  the font related entries from your Windows Registry. This new 
  feature is located on the Tools menu.

- Added an "Install..." option to the File|Font Groups sub menu. This 
  installs just the selected fonts in a font group.

- Fixed up an error is the list of OCX/DLL files shipped with the
  software.

- Added a few tweaks that make the initial splash screen pop up
  more quickly.
  


Printer's Apprentice 7.0 BETA #2- 7/27/98
- File|Exit, Close button - I think I fixed the GPF that happened on
  some systems on shutdown of PA. Some of the software components were
  not loading in the proper sequence, causing meltdown. The GPF's no longer 
  happens on my NT4 system, let me know if it still happens on yours.

- Drag&Drop Fonts To A Font Group - Created a new dialog box that is 
  displayed when completing a drag and drop operation from the 
  Installed Fonts list to a font group. The other dialog was confusing
  and had some options that were not applicable for this function.

  We also updated the What's This? help for this new dialog.

- Uninstall Dialog - Tab ordering has been fixed. "Next" is now 
  the default button so you can press Enter to move from step to
  step.

- Install Font Group - Cleared up some of the message boxes that came up
  if all the font in the group were already installed.

- Options Dialog - Fixed bug where catalog point size option was not
  saved and restored properly.

- Added Select All entry on the Edit menu.

- Two Column Catalog I, II - Fixed a problem where the descriptions for 
  the second column printed over the descriptions for the fonts in
  the first column.

- Two Column Catalog II - Adjusted the vertical spacing between fonts,
  the information line and the next font. The spacing was really whacked.

- Form sizing - The main PA form now has a minimum window size and
  cannot be sized smaller than this.

- Font Reading - Installed fonts with two letter font names were not
  being picked up by PA. This has been fixed.

- Documentation - Various enhancements and corrections to the help file
  and DLL/OCX version section of the readme.txt file.


Printer's Apprentice 7.0 BETA - 7/13/98
- First release of overhauled PA 7.0. Too many
  new things to list. For a general list of new features,
  see the help file.
  
  Areas under contruction include help file and setup kit.
  Any suggestions on the help file are appreciated.

  Known bugs
  ----------
  * GPF On Shutdown - Some NT 4.0 systems GPF when the X close button is
    clicked. Workaround: Use File|Exit to quit.
  * Can't Select By Dragging Mouse - In theory you should be able
    to select multiple fonts in any list by dragging the mouse. 
    However, sometimes the file drag starts suddenly. 
    Workaround: Use the keyboard with the CTRL and SHIFT keys to
    select multiple fonts.

Printer's Apprentice 6.54 - 4/8/98
- Fixed a problem with the Keyboard chart and Catalog #2. With some
  print drivers, some lines where printing very faint.
- Fixed a crooked line problem in Sample Sheet #1.

Printer's Apprentice 6.54 - 3/16/98
- Fixed a problem with the printed ANSI chart that caused a horizontal
  line to extend out from the lower left corner of the bounding box.
  It was quite ugly. Thanks to DP for pointing this out.

Printer's Apprentice 6.54 - 3/12/98
- Updated readme.txt file with list of OCX/DLL system files used by 
  PA. The version numbers on a few files on the list were out of date
  and did not correspond with the files that we actually ship.
- Updated Order Form in Help File with proper telephone number to 
  call if you have a problem with your order.
- Fixed a problem that happened if a printer was not installed. PA
  would crash. Now it displays a message box indicating that PA
  requires a print driver to run.
- Fixed Options dialog box so Printer Reset text box would accept
  double digit numbers.

Printer's Apprentice 6.54 - 2/4/98
- Fixed an "Invalid property value" error message that occured
  when selecting Keyboard from the Characters menu and an Adobe
  font is selected in the main window. Thanks to D. Bannister
  for alerting us to this.

Printer's Apprentice 6.54 - 1/21/97
- Fixed a "Can't set printer orientation" bug when printing
  multiple keyboard layouts.

Printer's Apprentice 6.54 Released - 11/24/97
- Added more Windows 95 like icons to the font lists.
- Added code to check for "File Not Found" error when an ATM font
  is selected.
- This version has also been fully tested with Adobe Type Manager 4.0.

Printer's Apprentice 6.54 Beta #7 - 11/11/97
- Fixed problem where the "Printer's Apprentice Component
  Checker" would pop up complaining about MHKEYST32.OCX.
- Fixed "Run-time error 91" bug that occured when trying
  to uninstall fonts.
- Significantly reduced EXE file size (we needed to do this
  in order to fit the application on two diskettes).

Printer's Apprentice 6.54 Beta #6 - 11/8/97
- Eliminated need for the MHKEYST32.OCX. This file no longer
  ships with Printer's Apprentice.
- Fixed transparancy problem that resulted in a white block
  in the upper left hand corner of the Divided Bar Catalog.
- Added newer style buttons to keyboard window.

Printer's Apprentice 6.54 Beta #5 - 11/4/97
- Thanks to Steve S. for his help with the beta. Many of 
  the items listed below were picked up by him.

- Our contact email addresses have changed. All references
  in the software and documentation have been updated.
  Our new contact addresses are as follows:

  Sales and Information    salesinfo@loseyourmind.com
  Technical Support        helpdesk@loseyourmind.com

- Somewhere along the way we broke some of the menu
  items under the Characters menu. These have been
  fixed and now work correctly when the Character Set
  tab is selected.
- Many items on the Characters menu do not apply when 
  the Paragraph or Font Information tabs are selected.
  We fixed the code so these menu items are disabled and
  enabled where appropriate.
- Fixed a problem with the up/down arrow keys in the 
  main window. If you scrolled up and down in the 
  font list box, the arrow keys stopped working when
  a non-TrueType font was encountered.
- Fixed many minor display bugs that pop up during
  screen resizing.
- Fixed error "cannot open install.log" that occured
  when running the uninstaller from the Start menu.
- More updates to the help file.

Printer's Apprentice 6.54 Beta #4 - 11/1/97
- Our homepage URL changed. All references in the software and 
  documentation has been changed to http://www.loseyourmind.com
- Fixed error on start that said the STDOLE2.TLB file was not
  registered.
- Fixed error "Control array element 4 eoes not exist." This
  error ocured on startup after exiting the program with the
  Font Information tab selected.
- Minor fixes to the help file.
- Fixed overflow error that occured if an uninstalled TTF file
  with an invalid header was selected.
- Fixed "cannot open setup.log" error in setup program.

Printer's Apprentice 6.54 Beta #3 - 10/28/97
- Fixed "35613 Imagelist must be initialized before it can be used" error 
  that some users encountered on startup. It was a programming error on 
  our end and took a while to debug.
- Changed setup program log file name to SETUP.LOG.
- Main window now has 3D "gripper" control on bottom right corner.

Printer's Apprentice 6.54 Beta #2, - 10/22/97
- Added new font catalog, the "Divided Bar Catalog" (for 
  DB in Victoria, Australia)
- Added multi-column listview controls to the Print Uninstalled
  fonts and Install Fonts dialog boxes.
- Made "Reading Fonts" operation more intelligent so it only
  scans if you have added or removed fonts.
- More bug fixes
- Setup program recompiled with Wise Setup 5.0
- Setup program is more intelligent about version checking
- Added technology from Desaware, Inc. that lets Printer's
  Apprentice check for old versions of needed runtime Active X
  and DLL files. If an old OCX or DLL is found, it displays
  a dialog box prompting the user to reinstall the software.

Printer's Apprentice 6.54 Beta #1, - 10/6/97
- Recompiled with Visual Basic 5.0 for increased performance
  and compatability with Office 97 applications.
- General interface tweaks include use of sliders instead of 
  scroll bars on the main window, multicolumn "listview" controls
  are used on many dialog boxes.
- Toolbar has been improved with the Office 97 style and larger, 
  256 color icons.
- The currently selected tab (on the main window) and font 
  is saved when you exit and restored when you restart the 
  software.
- Uninstall Wizard can uninstall fonts from multiple TrueType
  families at once. This dialog now includes a font preview.
- Print dialog includes a font preview. 
- Fixed "invalid subscript" error in Print Uninstalled Fonts
  Wizard that could occur if you click the print button when
  no fonts are selected.
- Replace TABCLT32.OCX tab control with control found in
  COMCTL32.OCX. This means we don't have to ship TABCTL32.OCX
  any more, a savings of 196k.
- Recoded and eliminated MHCBO32.OCX. A savings of 192k.


PRINTER'S APPRENTICE 6.53 - July 10, 1997
-----------------------------------------
- Fixed "Overflow" error that could occur during startup,
  after PA had read the font list. 


WHAT'S NEW IN PRINTER'S APPRENTICE 6.52
---------------------------------------
Listed below are all fixes and enhancements made to
Printer's Apprentice since version 6.50.

 - Fixed "Divide by Zero" error that occured when trying to install
   just one TrueType font.

 - Placed error checking code in effort to fix "Overflow" errors some
   users encountered at startup.

 - Placed error checking code in effort to fix "Subscript out of bounds" 
   errors some folks have encountered when installing fonts.

 - Added a new specimen sheet. The 72 Point Character Set prints
   a table of alphabet and numeric characters at 72 points.

 - Added a new Select button to the Print/Install/Print from CD
   dialogs. When you click the new Select button, a menu drops
   down offering choices to select All, Regular, Bold, Italic,
   BoldItalic and None. This is response to lots of user feedback.
   Many users wanted a way to select all the Regular fonts at once.

 - Fixed progress bar in the Install Fonts Wizard. As it looped
   through the fonts to install, it would display 5%, 10%, 5%, 2%
   and other erratic patterns.

 - Added links on the menu to the Lose Your Mind Developement
   home page.

 - Fixed a discrepancy between printing installed and uninstalled 
   fonts. On the Installed version of any catalog, the "(TrueType)"
   text next to a TT font was not being printed.

 - Install Fonts and Print Fonts from CD-ROM Dialog Bug Fixes
   - (Install only) - If a selected font file already exists in 
     your windows\fonts folder, you could get a "subscript out
     range" error. 

   - If you selected a directory of TTF files and some
     of those font files were currently installed, upon returning
     to the main PA window, those fonts would not be displayed or
     available in PA or other Windows apps. (In other words,
     installed fonts were being inadvertantly uninstalled by PA)

   - When reading a directory or changing a directory, the full 
     status message above the progress bar was not being displayed.

   - Several users noted that it can take a few moments to 
     close this window and return to the main PA window. We have 
     tried to tweak this routine and added a "Cleaning up..." 
     message to the Install/Print window.

   - Fixed a bug in the Filter drop down listbox. If you had the 
     directory filtered, then printed a catalog or sample sheets,
     then click the << Previous buttons to go back and change
     your filter, the filter would no longer work. Each time the 
     filter is changed, it resulted in a "No font files" list.

04/02/97 - Printer's Apprentice 6.5a
           Final Version, v. 4/2/97 release date


